---
inputType: "CA10A1__CaAwsSageMakerNotebookInstance__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10A1__CaAwsSageMakerNotebookInstance__c/object.extracts.yaml"
conditions:
  - status: "INAPPLICABLE"
    currentStateMessage: "The SageMaker Notebook Instance is not currently in service."
    check:
      NOT_EQUAL:
        left:
          EXTRACT: "CA10A1__status__c"
        right:
          TEXT: "InService"
  - status: "INCOMPLIANT"
    currentStateMessage: "The notebook instance is not associated with a VPC."
    remediationMessage: "Configure the notebook instance to reside within a VPC subnet."
    check:
      IS_EMPTY_LOOKUP: "CA10A1__subnet__r"
  - status: "COMPLIANT"
    currentStateMessage: "The notebook instance is launched within a VPC."
    check:
      NOT_EMPTY_LOOKUP: "CA10A1__subnet__r"
otherwise:
  status: "UNDETERMINED"
  currentStateMessage: "Unexpected values in the fields."